Bug 467130 - Mouse cursor invisible when installing from i386-DVD
Mouse cursor invisible when installing from i386-DVD
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-15 17:32 EDT by Kåre Løvgren
Modified: 2018-04-11 12:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:35:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file (from running machine, not directly after install) (92.67 KB, text/plain)
2008-10-17 12:35 EDT, Kåre Løvgren
no flags Details

  None (edit)
Description Kåre Løvgren 2008-10-15 17:32:51 EDT
Description of problem:
The mouse cursor cannot be seen on the screen during installation.
Mouse seems to work but (sometimes a field can be selected by luck) but no visual mouse cursor.

Version-Release number of selected component (if applicable):
Fedora 10 beta

Steps to Reproduce:
1.Boot from DVD, start installer

Additional info:
P4 CPU, ATi X-300 PCI-E graphics adapter
Comment 1 Matěj Cepl 2008-10-16 19:54:12 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

When the anaconda crashes, please, switch to the console (Ctrl+Alt+F2) and cp /tmp/* to some other place -- USB stick, some other computer via network, some on the Internet, and please attach it to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

When you install in the text mode, are you able to start X and does mouse work there? Can you also attach /var/log/Xorg.0.log and /etc/X11/xorg.conf (if you have any) to this bug, please?

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Kåre Løvgren 2008-10-17 12:35:43 EDT
Created attachment 320693 [details]
Xorg log file (from running machine, not directly after install)
Comment 3 Kåre Løvgren 2008-10-17 12:36:11 EDT
Hi Matej,

Anaconda did not crash, I just couldn't see the mouse while installing.
I got through the install using the keyboard (though the arrow keys did not seem to work either, but Tab did).

The mouse works fine after installing (writing this from the same machine). I even got a "battery low" warning last night (the mouse is wireless).
I would like to help but would prefer not to reinstall since I have now configured the machine and installed stuff on it...

I have attached /var/log/Xorg.0.log but there is no /etc/X11/xorg.conf file.

Best regards,
Kåre
Comment 4 Bug Zapper 2008-11-25 22:54:30 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-11-18 04:17:48 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 01:35:13 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.